# @nocobase/flow-engine

A standalone flow engine for NocoBase, responsible for managing workflows, models, and actions.

## Overview

This library provides the core functionalities for defining, registering, and executing flows within a NocoBase application or any compatible JavaScript/TypeScript project. It allows for the creation of models that can have associated flows, and actions that can be reused across different flows and models.

## Features

-   **Flow Definition**: Define complex workflows with multiple steps.
-   **Model Registration**: Register custom models that can interact with flows.
-   **Action Registration**: Create and register reusable actions.
-   **Event-Driven Flows**: Trigger flows based on specific events.
-   **Automatic Flow Execution**: Configure flows to run automatically under certain conditions.
-   **Extensible**: Designed to be extended with custom models, actions, and resources.

## Installation

```bash
# npm
npm install @nocobase/flow-engine

# yarn
yarn add @nocobase/flow-engine

# pnpm
pnpm add @nocobase/flow-engine
```

## Basic Usage

(TODO: Add basic usage examples here)

## API Reference

(TODO: Add API reference or link to documentation here)

## Contributing

Please refer to the main NocoBase contributing guidelines.

## License

Apache-2.0 (Please confirm with the NocoBase project's license)